---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/BoxLayout.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BoxLayout.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_BOX_LAYOUT_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_BOX_LAYOUT_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/Panel.hpp&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;{</div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classtgui_1_1BoxLayout.html">   39</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1BoxLayout.html">BoxLayout</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1Panel.html">Panel</a></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classtgui_1_1BoxLayout.html#a03238b2d7a6b398721e32dba5852c9d4">   43</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;BoxLayout&gt; <a class="code" href="classtgui_1_1BoxLayout.html#a03238b2d7a6b398721e32dba5852c9d4">Ptr</a>; </div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classtgui_1_1BoxLayout.html#ae9645ff0b85ebd2fe53854c33bc2fe21">   44</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const BoxLayout&gt; <a class="code" href="classtgui_1_1BoxLayout.html#ae9645ff0b85ebd2fe53854c33bc2fe21">ConstPtr</a>; </div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <a class="code" href="classtgui_1_1BoxLayout.html">BoxLayout</a>();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordtype">bool</span> insert(std::size_t index, <span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a>&amp; widget, <span class="keyword">const</span> sf::String&amp; widgetName = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="keywordtype">void</span> add(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a>&amp; widget, <span class="keyword">const</span> sf::String&amp; widgetName = <span class="stringliteral">&quot;&quot;</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <span class="keywordtype">void</span> addSpace(<span class="keywordtype">float</span> ratio = 1);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        <span class="keywordtype">bool</span> insertSpace(std::size_t index, <span class="keywordtype">float</span> ratio = 1);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        <span class="keywordtype">bool</span> <span class="keyword">remove</span>(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a>&amp; widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        <span class="keywordtype">bool</span> <span class="keyword">remove</span>(std::size_t index);</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;        <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <span class="keyword">get</span>(std::size_t index);</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        <span class="keywordtype">bool</span> setRatio(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&amp; widget, <span class="keywordtype">float</span> ratio);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        <span class="keywordtype">bool</span> setRatio(std::size_t index, <span class="keywordtype">float</span> ratio);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;        <span class="keywordtype">float</span> getRatio(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&amp; widget);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        <span class="keywordtype">float</span> getRatio(std::size_t index);</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;        <span class="keywordtype">bool</span> setFixedSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&amp; widget, <span class="keywordtype">float</span> size);</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;        <span class="keywordtype">bool</span> setFixedSize(std::size_t index, <span class="keywordtype">float</span> size);</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;        <span class="keywordtype">float</span> getFixedSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&amp; widget);</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;        <span class="keywordtype">float</span> getFixedSize(std::size_t index);</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;        <span class="keywordtype">void</span> removeAllWidgets() <span class="keyword">override</span>;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;</div><div class="line"><a name="l00288"></a><span class="lineno">  288</span>&#160;        <span class="comment">// Reposition all the widgets.</span></div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> updateWidgetPositions() = 0;</div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00298"></a><span class="lineno">  298</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno">  300</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;</div><div class="line"><a name="l00302"></a><span class="lineno"><a class="line" href="classtgui_1_1BoxLayout.html#ad1d3411d0c4ad1e282a97b1427823675">  302</a></span>&#160;        std::vector&lt;float&gt; <a class="code" href="classtgui_1_1BoxLayout.html#ad1d3411d0c4ad1e282a97b1427823675">m_widgetsRatio</a>;              </div><div class="line"><a name="l00303"></a><span class="lineno"><a class="line" href="classtgui_1_1BoxLayout.html#a4cf433ff40ada330cfc0f9dd707172ac">  303</a></span>&#160;        std::vector&lt;float&gt; <a class="code" href="classtgui_1_1BoxLayout.html#a4cf433ff40ada330cfc0f9dd707172ac">m_widgetsFixedSizes</a>;         </div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;    };</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;}</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;<span class="preprocessor">#endif // TGUI_BOX_LAYOUT_HPP</span></div><div class="ttc" id="classtgui_1_1BoxLayout_html_a4cf433ff40ada330cfc0f9dd707172ac"><div class="ttname"><a href="classtgui_1_1BoxLayout.html#a4cf433ff40ada330cfc0f9dd707172ac">tgui::BoxLayout::m_widgetsFixedSizes</a></div><div class="ttdeci">std::vector&lt; float &gt; m_widgetsFixedSizes</div><div class="ttdoc">The fixed size for each widget. 0 means a variable size. </div><div class="ttdef"><b>Definition:</b> BoxLayout.hpp:303</div></div>
<div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1BoxLayout_html_a03238b2d7a6b398721e32dba5852c9d4"><div class="ttname"><a href="classtgui_1_1BoxLayout.html#a03238b2d7a6b398721e32dba5852c9d4">tgui::BoxLayout::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; BoxLayout &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> BoxLayout.hpp:43</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1Panel_html"><div class="ttname"><a href="classtgui_1_1Panel.html">tgui::Panel</a></div><div class="ttdoc">Panel widget. </div><div class="ttdef"><b>Definition:</b> Panel.hpp:60</div></div>
<div class="ttc" id="classtgui_1_1BoxLayout_html_ae9645ff0b85ebd2fe53854c33bc2fe21"><div class="ttname"><a href="classtgui_1_1BoxLayout.html#ae9645ff0b85ebd2fe53854c33bc2fe21">tgui::BoxLayout::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const BoxLayout &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> BoxLayout.hpp:44</div></div>
<div class="ttc" id="classtgui_1_1BoxLayout_html"><div class="ttname"><a href="classtgui_1_1BoxLayout.html">tgui::BoxLayout</a></div><div class="ttdoc">Abstract class for box layout containers. </div><div class="ttdef"><b>Definition:</b> BoxLayout.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1BoxLayout_html_ad1d3411d0c4ad1e282a97b1427823675"><div class="ttname"><a href="classtgui_1_1BoxLayout.html#ad1d3411d0c4ad1e282a97b1427823675">tgui::BoxLayout::m_widgetsRatio</a></div><div class="ttdeci">std::vector&lt; float &gt; m_widgetsRatio</div><div class="ttdoc">The ratio of each widget. </div><div class="ttdef"><b>Definition:</b> BoxLayout.hpp:302</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:40 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
